'''
Main loop to control the process from title to game over.
'''

import sys

from . import game_mgmt

def main():
    game_manager = game_mgmt.GameManager()

    ret = 0
    going = True
    while going:
        ret = game_manager.title()
        if ret != 0:
            # player chose to quit before starting. damn.
            break

        while going:
            ret = game_manager.start()
            if ret == "aborted":
                going = False
            elif ret == "game over":
                game_manager.game_over()
                game_manager.initialize()
                break
            elif ret == "completed":
                sys.exit(0) # for debug
                game_manager.initialize()
                break
            else:
                # unti-infinite-loop
                sys.exit(0)

if __name__ == "__main__":
    main()
    sys.exit(0)

